;********************************************************************************
;* TEST comandament infraroig             versio 1        Lleonard Garcia i Llop*
;********************************************************************************
; 1.-Per estalviar energia es pot col_locar un led bicolor en lloc del motor.
; 2.-FONT D'ALIMENTACI? PSU ATX.
;    Les fonts d'alimentaci? atx disposen d'un conector de 20 o 24 terminals
;    que es connecten a la tarja base d'un PC. Si ens fixem en un connector de 
;    24 terminals sempre per el terminal 9 (color lila) apareix 5v_SBY, que es
;    una tensi? standby de 5v-10mA que alimenta un microcontrolador. Per ficar 
;    en marxa la font cal conduir el terminal 16 (color verd) PS_ON a negatiu.
;    Aix? ho far? el microcontrolador a traves d'un transistor. Un cop la font
;    s'ha connectat informa a traves del terminal 8 ( color gris) PWR_OK que 
;    totes les sortides estan operatives i correctes.
;    El color vermell 55, el color groc 12v i el color taronja 3,3v.    
; 3.-CIRCUIT IMPRES QUE UTILITZA PICAXE 14M2
;                        **********************
;                    +V  * 1               14 *  GND
;  programacio/debug C.5 * 2               13 *  B.0      programacio / debug
;  PS_ON             C.4 * 3               12 *  B.1      potenciometre A (dalt)
;  polsador          C.3 * 4               11 *  B.2      potenciometre B (baix)
;  interruptor       C.2 * 5               10 *  B.3      I2C_SCL
;  jumper            C.1 * 6                9 *  B.4      I2C_SDA
;  IR_TSOP4838       C.0 * 7                8 *  B.5      PWR_good
;                        **********************

;CONFIGURACIONS DEL HARDWARE
symbol sensor=C.0
symbol jumper=pinC.1
symbol interruptor=pinC.2
symbol polsador=pinC.3
symbol sortida=C.4
symbol pot_A=B.1
symbol pot_B=B.2
symbol SCL=B.3
symbol SDA=B.4
symbol powergood=pinB.5
pause 5000

inicialitzacio:
let dirsC=%00010000           		; Config port_C(1=sortida 0=entrada).
low sortida
xx:
irin [500 ,timeout_irin],sensor,b6
debug
timeout_irin:
;pause 1000
if b6=16 then encen
if b6=17 then apaga
goto xx


encen:
;if powergood=1 then goto inicialitzacio	; La font est? funcionant? SI.- inicialitza
high sortida					; NO: encen la PSU.
goto xx:

apaga:
;if powergood=0 then goto inicialitzacio	; La font est? funcionant? NO.- inicialitza
low sortida						; SI: apaga la PSU.
goto xx				; SI